# Makefile for 680x0 Linux m680x0 source directory
#
# Copyright 1993 by Hamish Macdonald
#
# This file is subject to the terms and conditions of the GNU General Public
# License.  See the file "README.legal" in the main directory of this archive
# for more details.

.c.o:
	$(CC) $(CFLAGS) -c $<
.S.o:
	$(CC) -D__ASSEMBLY__ -traditional -Wa,-m68030 -c $< -o $*.o

OBJS	= entry.o process.o machasm.o traps.o ints.o signal.o ptrace.o \
	setup.o bios32.o sys_m68k.o

SYMTAB_OBJS = m68k_ksyms.o

ifdef CONFIG_KGDB
OBJS := $(OBJS) kgdb.o
endif

all: kernel.o head.o

head.o: head.S

include ../../../versions.mk

kernel.o: $(SYMTAB_OBJS) $(OBJS)
	$(LD) -r -o kernel.o $(SYMTAB_OBJS) $(OBJS)
	sync

dep:
	$(CPP) -M *.c > .depend

modules:

dummy:

#
# include a dependency file if one exists
#
ifeq (.depend,$(wildcard .depend))
include .depend
endif
